Subject: Re: bug#65924: git searches coreutils and util-linux commands in PATH

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 09 Oct 2023 15:44:31 -0400

Hello,

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 09.10.2023 um 15:25 -0400 schrieb Maxim Cournoyer:
>> Hi Liliana,
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > Am Montag, dem 09.10.2023 um 14:21 -0400 schrieb Maxim Cournoyer:
>> > > Hello,
>> > > 
>> > > Liliana Marie Prikler <[email-masked]> writes:
>> > > 
>> > > > [...]
>> > > > If you need me to reduce it to four letters, yes, LGTM.
>> > > 
>> > > Explicit is better than implicit.  I've been thinking to document
>> > > this in our contributing section; e.g. a reviewed commit must
>> > > have the 'LGTM' from the reviewer.  If a series is LGTM, it needs
>> > > to be implicitly mentioned with 'this series LGTM'.  That may
>> > > sound silly, but I think it'd simplify reviewer/submitters
>> > > interactions.
>> > s/implicitly/explicitly/?
>> 
>> Explicit, indeed.
>> 
>> > I don't necessarily agree, but it's not a hard disagree either. 
>> > I'll try to keep that in mind at least when reviewing your patches
>> > to not cause confusion.
>> 
>> OK.  One place where this becomes more important is when the send-
>> email cc hook includes people partially to a series. A LGTM on a
>> single message in this case could be misinterpreted for the whole
>> series.  It's best to document the expectations and codify these
>> often used signals, in my opinion.
> I personally prefer to comment to all individual patches or use the
> series starter for "this series LGTM", but to recap; 1 and 2 L'd GTM
> (with a small caveat for 1) already and we discussed 3 in IRC, so LGTM
> for the series.

That's a good idea.

Thanks for the heads-up!  I've now installed this series to
core-updates.  Closing!

-- 
Thanks,
Maxim